### Enumeration

# GdkPixbuf PixbufRotation

#### Declaration

    enum GdkPixbuf.PixbufRotation

#### Description [src]

The possible rotations which can be passed to gdk_pixbuf_rotate_simple().

To make them easier to use, their numerical values are the actual degrees.

#### Members

`GDK_PIXBUF_ROTATE_NONE`

  No rotation.

  - Value: `0`
  - Available since: 2.0
`GDK_PIXBUF_ROTATE_COUNTERCLOCKWISE`

  Rotate by 90 degrees.

  - Value: `90`
  - Available since: 2.0
`GDK_PIXBUF_ROTATE_UPSIDEDOWN`

  Rotate by 180 degrees.

  - Value: `180`
  - Available since: 2.0
`GDK_PIXBUF_ROTATE_CLOCKWISE`

  Rotate by 270 degrees.

  - Value: `270`
  - Available since: 2.0